/*
theremino serihal.ini 
  COMport COM7
  speed  57600
  slot read 6
  slot write 20
  trasmit slot to serial ON
  only on demand ON/OFF
  limit value OFF
---
master V5
  pin 6 as adc8 -> LM35 10mV/°C
  max 3300
  min 0

*/

import processing.serial.*;
Serial myPort;  // Create object from Serial class

int lf = 10;    // Linefeed in ASCII
String myString = null;
char sep1=59; //  ->>;<<-

void setup() {
 colorMode(HSB, 255, 255, 255);
 size(200, 200);
 background(100); 
 printArray(Serial.list());
 String portName = Serial.list()[1];
 myPort = new Serial(this, portName, 9600);
 myPort.clear();
 myString = myPort.readStringUntil(lf);
 myString = null;
 }

void draw(){
  while (myPort.available() > 0) {          //riceve i dati
    myString = myPort.readStringUntil(lf);  // legge la stringa
    if (myString != null) {
      println(myString);
      float nums[] = float(split(myString, sep1));  //parsing
      for(int k=0;k<=9;k++){print (nums[k]); print (" - ");} 
      println();println();
      int colore=int(nums[0]);          // converte il primo dato
      print("slot:  "); println(colore);
      colore /=10;
      print("gradi: "); println(colore);
      colore *=6;
      print("gradi x 6=HUE: "); println(colore);   
      println("------------");
      background(colore,255,200); //HSB   // setta il colore-hue MAX 360
      }
  }
}
//-------------

void mousePressed() {
 myPort.write(10);   // richiede una lettura on demand  
 }
//-------------